/**
 * <copyright>
 * </copyright>
 *
 * $Id: DimensionDeploymentValidator.java,v 1.1 2008-04-01 09:35:34 vmahe Exp $
 */
package orgomg.cwm.analysis.olap.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.olap.DeploymentGroup;
import orgomg.cwm.analysis.olap.HierarchyLevelAssociation;
import orgomg.cwm.analysis.olap.StructureMap;
import orgomg.cwm.analysis.olap.ValueBasedHierarchy;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.olap.DimensionDeployment}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface DimensionDeploymentValidator {
	boolean validate();

	boolean validateHierarchyLevelAssociation(HierarchyLevelAssociation value);
	boolean validateValueBasedHierarchy(ValueBasedHierarchy value);
	boolean validateStructureMap(EList<StructureMap> value);
	boolean validateListOfValues(StructureMap value);
	boolean validateImmediateParent(StructureMap value);
	boolean validateDeploymentGroup(DeploymentGroup value);
}
